function optAssort = MNLAssort( revList, prefWeights )

%   Computes optimal MNL assortment

    numProds=length(revList);
    
    bestRev=0;
    
    assort=zeros(1,numProds);
    
    assort(1)=1;
    
    revListSorted=sort(revList,'descend');
    
    for i=1:numProds-1
        
        rev=revListSorted(i);
        
        prodNum=find(revList==rev);
       
        assort(prodNum)=1;
        
        num=revList.*prefWeights.*assort;
        
        denom=prefWeights.*assort;
        
        currRev=sum(num)/sum(denom);
        
        if currRev >= bestRev
           
            bestRev=currRev;
            optAssort=assort;
            
        end
        
        
        
    end

    


end

